Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. Mic Device
    3. Update Mic Device

    Update A Mic Device

    Update information for a specific microphone device by its ID

    Last updated: November 11, 2026

    Changed in v2026.02.2
    PATCH
    /api/v1/mics/{mic_id}

    Description

    API to update information for a specific microphone device by its ID. Refer to the Mic Device Object for more details.

    Authentication

    Access Token is required via Bearer token authentication. Refer to the Authentication section for more details.

    Path Parameters

    mic_id
    Required
    string
    Unique identifier of the microphone device

    Request Body

    Request Body Parameters

    name
    Optional
    string
    New name for the device
    host
    Optional
    string
    New host for the device (e.g. "192.168.1.100")
    location
    Optional
    object
    New location information
    status
    Optional
    enum
    New status for the device. Could be active or inactive

    Enum Values:

    active
    inactive
    thresholds
    Optional
    object
    Detection thresholds per event type. Each key is an event type, and each value is an object with sound_level_ge (0 to 100) and confidence_ge (0 to 1). Send only the values you want to change. Out-of-range values return 422, and event types the device does not support return 400.

    Response

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    {
      "data": {
        "id": "string",
        "name": "string",
        "host": "string",
        "edge_id": "string",
        "status": "enum(active | inactive)",
        "thresholds": {
          "breathing_heavily": {
            "sound_level_ge": 65,
            "confidence": 0.8
          },
          "[event_category]": {
            "sound_level_ge": 65,
            "confidence": 0.8
          }
        },
        "location": {
          "latitude": -90,
          "longitude": -180
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    }

    Request Examples

    Run In Postman

    Update Device Name

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics/mic_123', {
      method: 'PATCH',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN",
        "Content-Type": "application/json"
      },
      body: JSON.stringify({
        "name": "New Device Name"
      })
    });
    
    const data = await response.json();

    Update Device Location

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics/mic_123', {
      method: 'PATCH',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN",
        "Content-Type": "application/json"
      },
      body: JSON.stringify({
        "location": {
          "latitude": 37.5665,
          "longitude": 126.978
        }
      })
    });
    
    const data = await response.json();

    Update Device Thresholds

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics/mic_123', {
      method: 'PATCH',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN",
        "Content-Type": "application/json"
      },
      body: JSON.stringify({
        "thresholds": {
          "screem_male": 0.5,
          "screem_female": 0.31,
          "breathing_heavily": 0.2
        }
      })
    });
    
    const data = await response.json();
    Get A Mic Device
    Reissue Token
    DescriptionAuthenticationRequest BodyResponseRequest ExamplesUpdate Device NameUpdate Device LocationUpdate Device Thresholds